OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
NetworkCompanyInfo Struct Reference

Company information stored at the client side. More...

`#include <network_gui.h>`

Inheritance diagram for NetworkCompanyInfo:

## Data Fields
char | company_name [NETWORK_COMPANY_NAME_LENGTH]
| Company name.
Year | inaugurated_year
| What year the company started in.
Money | company_value
| The company value.
Money | money
| The amount of money the company has.
Money | income
| How much did the company earned last year.
uint16 | performance
| What was his performance last month?
bool | use_password
| Is there a password.
char | clients [NETWORK_CLIENTS_LENGTH]
| The clients that control this company (Name1, name2, ..)
Data Fields inherited from NetworkCompanyStats
uint16 | num_vehicle [NETWORK_VEH_END]
| How many vehicles are there of this type?
uint16 | num_station [NETWORK_VEH_END]
| How many stations are there of this type?
bool | ai
| Is this company an AI.

## Detailed Description

Company information stored at the client side.

Definition at line 32 of file network_gui.h.

The documentation for this struct was generated from the following file:

- src/network/network_gui.h